<!--
Copyright 2020 The Chromium Authors. All rights reserved.
Use of this source code is governed by a BSD-style license that can be
found in the LICENSE file.
-->

<!--
This file is used to generate a comprehensive list of UMA histograms
along with a detailed description for each histogram.

For best practices on writing histogram descriptions, see
https://chromium.googlesource.com/chromium/src.git/+/HEAD/tools/metrics/histograms/README.md

Please send CLs to chromium-metrics-reviews@google.com rather than to specific
individuals. These CLs will be automatically reassigned to a reviewer within
about 5 minutes. This approach helps the metrics team to load-balance incoming
reviews. Googlers can read more about this at go/gwsq-gerrit.
-->

<histogram-configuration>

<histograms>

<histogram name="UMA.ActualLogUploadInterval" units="minutes"
    expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The actual interval between log upload start and previous log upload
    finished within the same process. A value of 0 indicates there was no
    previous upload. Prior to M71, logging for this metric was broken.
  </summary>
</histogram>

<histogram name="UMA.AntiVirusMetricsProvider.Result"
    enum="AntiVirusMetricsProviderResult" expires_after="2020-03-08">
  <owner>wfh@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Records the result of the attempt to enumerate the installed AntiVirus on
    the machine. This is recorded once during metrics initialization.
  </summary>
</histogram>

<histogram name="UMA.CleanExitBeaconConsistency" enum="UmaCleanExitConsistency"
    expires_after="M85">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Reports the combined state of distinct clean exit beacons stored in Local
    State and the Windows registry. They are normally expected to be identical.
  </summary>
</histogram>

<histogram name="UMA.ClientIdBackupRecoveredWithAge" units="hours"
    expires_after="2021-05-16">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Recorded when we are somehow missing the client ID stored in Local State yet
    are able to recover it from a backup location along with the backed up
    installation date. This report carries the age in hours of the recovered
    client id.
  </summary>
</histogram>

<histogram name="UMA.EnrollmentStatus" enum="EnrollmentStatus"
    expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>kaznacheev@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Logs the device enrollment status for Chrome OS device. Logged with every
    UMA upload.
  </summary>
</histogram>

<histogram name="UMA.EntropySourceType" enum="UmaEntropySourceType"
    expires_after="2021-04-15">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Logs the entropy source type that was used for field trial randomization.
    Logged once at each start up.
  </summary>
</histogram>

<histogram name="UMA.ExternalExperiment.GroupCount" units="groups"
    expires_after="2018-08-30">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Logged on Android whenever an external experiment is registered. The logged
    value is the number of groups in the experiment. This will not be logged at
    all if there are no external experiments, but will be logged on group
    transitions (e.g. when going from 1 to 0 groups).
  </summary>
</histogram>

<histogram name="UMA.FileMetricsProvider.AccessResult"
    enum="FileMetricsProviderAccessResult" expires_after="M87">
  <owner>asvitkine@chromium.org</owner>
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Records attempts to access a file for the purpose of extracting metrics.
  </summary>
</histogram>

<histogram name="UMA.FileMetricsProvider.InitialAccessResult"
    enum="FileMetricsProviderAccessResult" expires_after="M87">
  <owner>asvitkine@chromium.org</owner>
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Records attempts to access a file for the purpose of extracting initial
    stability metrics.
  </summary>
</histogram>

<histogram name="UMA.InitSequence" enum="UmaInitSequence"
    expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Logged during MetricsService initialization whether the init task or the
    initial log timer completed first. The expectation is the vast majority of
    the time, the init task should complete first. If metrics show otherwise,
    then it may indicate there's a bug in the MetricsService init sequence and
    that it should be investigated.
  </summary>
</histogram>

<histogram name="UMA.IsClonedInstall" enum="BooleanCloned"
    expires_after="2021-07-11">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    This is logged with a value of true in every log when the UMA client code
    has detected that this is a potentially cloned install and has set the pref
    to reset its UMA client id on the next startup.
  </summary>
</histogram>

<histogram name="UMA.JavaCachingRecorder.DroppedHistogramSampleCount"
    units="samples" expires_after="2021-03-21">
  <owner>bttk@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Number of histogram samples that were not recorded when flushing due to
    cache size limits in the Java in-memory cache. There are separate limits on
    the number of cached histograms, and the number of samples in a histogram.
  </summary>
</histogram>

<histogram name="UMA.JavaCachingRecorder.DroppedUserActionCount"
    units="samples" expires_after="2021-03-21">
  <owner>bttk@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Number of user actions that were not recorded when flushing due to a cache
    size limit in Java the in-memory cache.
  </summary>
</histogram>

<histogram name="UMA.JavaCachingRecorder.FlushedHistogramCount"
    units="histograms" expires_after="2021-03-21">
  <owner>bttk@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Number of histograms recorded when flushing the Java in-memory cache.
  </summary>
</histogram>

<histogram name="UMA.JavaCachingRecorder.InputHistogramSampleCount"
    units="samples" expires_after="2021-03-21">
  <owner>bttk@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Number of histogram samples seen by the time the Java in-memory cache was
    flushed. This includes samples counted in DroppedHistogramSampleCount.
  </summary>
</histogram>

<histogram name="UMA.JavaCachingRecorder.InputUserActionCount" units="samples"
    expires_after="2021-03-21">
  <owner>bttk@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Number of user actions seen by the time the in-memory cache was flushed.
    This includes actions counted in DroppedUserActionCount.
  </summary>
</histogram>

<histogram name="UMA.LocalPersistentMemoryAllocator.Failures.Posix"
    enum="PopularOSErrno" expires_after="M85">
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Failures, as reported in errno, encountered while allocating local
    persistent memory under Posix.
  </summary>
</histogram>

<histogram name="UMA.LocalPersistentMemoryAllocator.Failures.Win"
    enum="WinGetLastError" expires_after="M85">
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Failures, as reported by GetLastError(), encountered while allocating local
    persistent memory under Windows.
  </summary>
</histogram>

<histogram name="UMA.LogSize.OnSuccess" units="KB" expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Size in kilobytes (after compression) of an uploaded UMA log. Recorded after
    a successful UMA upload.

    Note: A related metric (UMA.ProtoCompressionRatio) logs the compression
    ratio.
  </summary>
</histogram>

<histogram name="UMA.LogUpload.Canceled.CellularConstraint"
    enum="BooleanCanceled" expires_after="2021-07-11">
  <owner>holte@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Logs whether a log was not uploaded due to cellular log throttling logic.
    Android only.
  </summary>
</histogram>

<histogram name="UMA.LogUpload.ResponseOrErrorCode"
    enum="CombinedHttpResponseAndNetErrorCode" expires_after="2021-06-20">
  <owner>holte@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    HTTP response codes and network errors encountered by UMA when attempting to
    upload logs to the server through an HTTPS connection.
  </summary>
</histogram>

<histogram name="UMA.LogUpload.ResponseOrErrorCode.HTTP"
    enum="CombinedHttpResponseAndNetErrorCode" expires_after="2021-04-15">
  <owner>holte@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    HTTP response codes and network errors encountered by UMA when attempting to
    upload logs to the server through an HTTP connection.
  </summary>
</histogram>

<histogram name="UMA.LowEntropySource3Value" units="units"
    expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>mpearson@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Distribution of the new low entropy source value. Corresponds to
    metrics::prefs::kMetricsLowEntropySource. Used for field trial
    randomization. Recorded on startup.
  </summary>
</histogram>

<histogram name="UMA.LowEntropySourceValue" units="units"
    expires_after="2021-04-15">
  <owner>asvitkine@chromium.org</owner>
  <owner>mpearson@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Distribution of the old low entropy source value. Corresponds to
    metrics::prefs::kMetricsOldLowEntropySource. Used for field trial
    randomization on clients that already have it, but not created on new
    installs. Recorded on startup.
  </summary>
</histogram>

<histogram name="UMA.MachineIdState" enum="UmaMachineIdState"
    expires_after="2021-12-06">
  <owner>jwd@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Tracks if the machine ID is generated successfully and if it changes from
    one run to the next. The machine ID is a 24-bit hash of machine
    characteristics. It is expected to change if an install of Chrome is copied
    to multiple machines. This check happens once per browser startup.
  </summary>
</histogram>

<histogram name="UMA.MetricsIDsReset" enum="BooleanHit"
    expires_after="2021-12-06">
  <owner>jwd@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Records when the metrics IDs (client id and low entry source) are reset due
    to a cloned install detection. This is done during startup when
    MetricsStateManager is created.

    A cloned install is detected when the current machine ID (24-bit hash of
    machine characteristics) is different than the one stored in local state. A
    pref is then written to local state to indicate a clone. The metrics IDs are
    reset on the next startup assuming the cloned install pref is still set.
  </summary>
</histogram>

<histogram name="UMA.MetricsReporting.Toggle" enum="MetricsReportingChange"
    expires_after="2021-04-15">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Logged when user successfully enables/disables MetricsReporting or when an
    error occurs.
  </summary>
</histogram>

<histogram name="UMA.MetricsService.Initialize" enum="Boolean"
    expires_after="2021-06-13">
  <owner>rkaplow@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Records true during the initialization of the metrics state, right at the
    time of logging a count to launch_count in stability prefs.
  </summary>
</histogram>

<histogram name="UMA.NegativeSamples.Histogram" enum="HistogramNameHash"
    expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The lower 32 bits of the ID of the histogram that went negative.
  </summary>
</histogram>

<histogram name="UMA.NegativeSamples.Increment" units="increment"
    expires_after="2021-04-15">
  <owner>asvitkine@chromium.org</owner>
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The amount of increment that caused a sample count to become negative.
  </summary>
</histogram>

<histogram name="UMA.NegativeSamples.Reason" enum="NegativeSampleReason"
    expires_after="2021-04-15">
  <owner>asvitkine@chromium.org</owner>
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Reasons why a negative sample count would have been created. Currently, only
    negative samples from persistent sparse histograms are being checked.
  </summary>
</histogram>

<histogram name="UMA.PersistentAllocator.{PersistentMemoryErrors}Errors"
    enum="PersistentAllocatorErrors" expires_after="M85">
  <owner>bcwhite@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Errors detected by the persistent memory allocator. These are set when they
    occur. {PersistentMemoryErrors}
  </summary>
  <token key="PersistentMemoryErrors">
    <variant name="">
      <obsolete>
        Base histogram. Use suffixes of this histogram instead.
      </obsolete>
    </variant>
    <variant name="BrowserMetrics." summary="For browser process metrics."/>
    <variant name="CrashpadMetrics." summary="For metrics from Crashpad."/>
    <variant name="FieldTrialAllocator." summary="For field-trial allocator."/>
    <variant name="GpuMetrics." summary="For GPU process metrics."/>
    <variant name="NotificationHelperMetrics."
        summary="For notification_helper process metrics."/>
    <variant name="PpapiBrokerMetrics."
        summary="For &quot;PPAPI broker&quot; process metrics."/>
    <variant name="PpapiPluginMetrics."
        summary="For &quot;PPAPI plugin&quot; process metrics."/>
    <variant name="RendererMetrics." summary="For renderer process metrics."/>
    <variant name="SandboxHelperMetrics."
        summary="For &quot;sandbox helper&quot; process metrics."/>
    <variant name="SetupMetrics." summary="For setup metrics."/>
    <variant name="UtilityMetrics."
        summary="For &quot;utility&quot; process metrics."/>
    <variant name="ZygoteMetrics."
        summary="For &quot;zygote&quot; process metrics."/>
  </token>
</histogram>

<histogram name="UMA.PersistentAllocator.{PersistentMemoryUsedPct}UsedPct"
    units="%" expires_after="M87">
  <owner>bcwhite@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Percentage of persistent memory segment that has been allocated. This is
    updated only once per reporting cycle. {PersistentMemoryUsedPct}
  </summary>
  <token key="PersistentMemoryUsedPct">
    <variant name="">
      <obsolete>
        Base histogram. Use suffixes of this histogram instead.
      </obsolete>
    </variant>
    <variant name="BrowserMetrics." summary="For browser process metrics."/>
    <variant name="FieldTrialAllocator." summary="For field-trial allocator."/>
    <variant name="GpuMetrics." summary="For GPU process metrics."/>
    <variant name="NotificationHelperMetrics."
        summary="For notification_helper process metrics."/>
    <variant name="PpapiBrokerMetrics."
        summary="For &quot;PPAPI broker&quot; process metrics."/>
    <variant name="PpapiPluginMetrics."
        summary="For &quot;PPAPI plugin&quot; process metrics."/>
    <variant name="RendererMetrics." summary="For renderer process metrics."/>
    <variant name="SandboxHelperMetrics."
        summary="For &quot;sandbox helper&quot; process metrics."/>
    <variant name="SetupMetrics." summary="For setup metrics."/>
    <variant name="UtilityMetrics."
        summary="For &quot;utility&quot; process metrics."/>
    <variant name="ZygoteMetrics."
        summary="For &quot;zygote&quot; process metrics."/>
  </token>
</histogram>

<histogram name="UMA.PersistentHistograms.InitResult"
    enum="PersistentHistogramsInitResult" expires_after="2021-06-27">
  <owner>bcwhite@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    A count of successes and failures for the creation of various forms of
    persistent memory used to store histograms.
  </summary>
</histogram>

<histogram name="UMA.PrimaryUserType" enum="UserType"
    expires_after="2021-05-16">
  <owner>michaelpg@chromium.org</owner>
  <owner>yilkal@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    This UMA logs the primary user type per metrics recording interval.
  </summary>
</histogram>

<histogram name="UMA.ProfileSignInStatus" enum="ProfileSigninStatus"
    expires_after="never">
<!-- expires-never: For the signin_status filter in dynamic table. -->

  <owner>asvitkine@chromium.org</owner>
  <owner>isherman@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    An enum representing the signin status of all opened profiles during one UMA
    session.

    Reported incorrect data on ChromeOS before M80.
  </summary>
</histogram>

<histogram name="UMA.ProtoCompressionRatio" units="%"
    expires_after="2021-06-20">
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Compression ratio of the serialized protobuf that will be uploaded to the
    UMA server. This serialized protobuf is compressed using gzip. See also
    UMA.LogSize.OnSuccess.
  </summary>
</histogram>

<histogram name="UMA.SamplingRatePerMille" units="samples per mille"
    expires_after="2021-06-27">
  <owner>jwd@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Sample rate applied to this client, expressed as number of clients per 1000
    that are in the sample. Recorded on every log upload but only if the client
    is eligible for sampling. (As of September 2019, the only clients eligible
    for sampling are Windows and Android installs on which the UMA checkbox was
    enabled by default.)

    Clients not eligible for sampling will not have this histogram recorded.

    Clients that are eligible for sampling but are sampled out (i.e., not
    uploading logs) will not have this histogram recorded. Notably, it will not
    appear in chrome://histograms! (Obviously, it also won't appear in the UMA
    logs because the client is not uploading logs.)

    Additional nuance, hopefully not important: the rate refers to the session
    that the log was generated in, not the session the log was generated about.
    This means when UMA uploads information about the last session (such as
    stability statistics), it is possible--though extremely unlikely--that the
    sampling rate config has changed from the previous session to the current
    one. As such, the sampling rate emitted in a previous-session log record may
    not be the right one that should've applied to that record.
  </summary>
</histogram>

<histogram name="UMA.StructuredMetrics.EventRecordingState"
    enum="StructuredMetricsEventRecordingState" expires_after="2021-06-06">
  <owner>tby@chromium.org</owner>
  <owner>rkaplow@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <summary>
    Emitted when a structured metrics event is sent for recording. This records
    whether that event was recorded successfully, or otherwise what error
    occurred.
  </summary>
</histogram>

<histogram name="UMA.StructuredMetrics.InternalError"
    enum="StructuredMetricsInternalError" expires_after="2021-02-01">
  <owner>tby@chromium.org</owner>
  <owner>rkaplow@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <summary>
    Records unexpected internal errors of the structured metrics system. The
    bucket proportion of this metric is not meaningful.
  </summary>
</histogram>

<histogram name="UMA.StructuredMetrics.KeyValidationState"
    enum="StructuredMetricsKeyValidationState" expires_after="2021-06-06">
  <owner>tby@chromium.org</owner>
  <owner>rkaplow@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <summary>
    When a user event key is validated (and possibly updated), whether the key
    was valid and required no changes, missing and required creation, or old and
    required rotation.
  </summary>
</histogram>

<histogram name="UMA.StructuredMetrics.NumEventsInUpload" units="count"
    expires_after="2021-06-06">
  <owner>tby@chromium.org</owner>
  <owner>rkaplow@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <summary>
    How many events are provided when the structured metrics system is called on
    to provide its current session data.
  </summary>
</histogram>

<histogram name="UMA.StructuredMetrics.PrefReadError"
    enum="PrefServiceReadError" expires_after="2021-06-06">
  <owner>tby@chromium.org</owner>
  <owner>rkaplow@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <summary>
    When the structured metrics provider initializes, it reads the pref store
    from disk that holds keys and unsent logs. If there was an error during that
    read, this records the error code. PREF_READ_ERROR_NO_FILE is recorded
    whenever a particular profile signs into a particular device for the first
    time, so a reasonable number of errors are expected.
  </summary>
</histogram>

<histogram name="UMA.TruncatedEvents.Omnibox" units="events"
    expires_after="M85">
  <owner>rkaplow@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The number of omnibox events that existed in the metrics log before we
    truncated them to save bandwidth.
  </summary>
</histogram>

<histogram name="UMA.TruncatedEvents.UserAction" units="events"
    expires_after="2021-07-11">
  <owner>rkaplow@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The number of user actions events that existed in the metrics log before we
    truncated them to save bandwidth.
  </summary>
</histogram>

<histogram name="UMA.UnsentLogs.Dropped" units="units"
    expires_after="2021-08-30">
  <owner>holte@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Counter for number of UMA unsent logs removed from persistent storage.
  </summary>
</histogram>

<histogram name="UMA.UnsentLogs.DroppedSize" units="bytes"
    expires_after="2021-08-30">
  <owner>akirabaruah@chromium.org</owner>
  <owner>rkaplow@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Size of unsent logs removed from persistent storage due to exceeding the
    individual log size limit. Unsent log trimming occurs immediately after
    initial logs creation, upon successful log upload, or whenever
    MetricsService stops recording.
  </summary>
</histogram>

<histogram name="UMA.UnsentLogs.PersistedSizeInKB" units="KB"
    expires_after="2021-05-30">
  <owner>michaelbai@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The size of all persistent initial or ongoing logs that have been
    proto-encoded and compressed in the previous browser run; it is recorded on
    the browser start up. The value '0' means no unsent logs.
  </summary>
</histogram>

<histogram name="UMA.UnsentLogs.SentCount" units="samples"
    expires_after="2021-05-30">
  <owner>michaelbai@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The number of UMA sent samples in the previous browser run; it is recorded
    on the browser start up.
  </summary>
</histogram>

<histogram name="UMA.UnsentLogs.UnsentCount" units="samples"
    expires_after="2021-05-30">
  <owner>michaelbai@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The number of UMA unsent samples in the previous browser run; it is recorded
    on the browser start up.
  </summary>
</histogram>

<histogram name="UMA.UnsentLogs.UnsentPercentage" units="%"
    expires_after="2021-05-30">
  <owner>michaelbai@chromium.org</owner>
  <owner>asvitkine@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The percentage of the unsent samples over the total in the previous browser
    run; it is recorded on the browser start up.
  </summary>
</histogram>

<histogram name="UMA.UserActionsCount" enum="Boolean"
    expires_after="2021-04-01">
  <owner>mpearson@chromium.org</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    Emitted when a user action is recorded.

    Intended to be used to estimate how many user actions are lost due lack of
    being persisted in the same way histograms are. One way to use this
    histogram is to look as the count in this histogram in logs that come from
    the previous session. All of those user actions will have been lost.

    Also note that user actions can be lost due to being truncated before
    uploading a UMA record. Those logs user actions are recorded in the
    histogram UMA.TruncatedEvents.UserAction.

    There may be other ways user actions are dropped too.
  </summary>
</histogram>

<histogram name="UMA.UserDemographics.IsNoisedAgeOver21Under85"
    enum="BooleanNoisedAgeOver21Under85" expires_after="2021-11-04">
  <owner>tobyhuang@chromium.org</owner>
  <owner>cros-families-eng@google.com</owner>
  <summary>
    True indicates that the current user is over the age of 21 and under the age
    of 85 inclusive, and unknown otherwise. Specifically, this histogram can't
    identify users under 21 and over 85. The user's age includes a random offset
    for privacy. This metric is logged periodically through
    ProvideCurrentSessionData().
  </summary>
</histogram>

<histogram name="UMA.UserDemographics.Status" enum="UserDemographicsStatus"
    expires_after="2021-06-20">
  <owner>vincb@google.com</owner>
  <owner>src/base/metrics/OWNERS</owner>
  <summary>
    The status of the retrieval of user demographics from sync that are reported
    to UMA. Emitted each time UMA metrics are reported.
  </summary>
</histogram>

</histograms>

</histogram-configuration>
